Name:		valkyrie
Version:	2.0.0
Release:	8%{?dist}
Summary:	Graphical User Interface for Valgrind Suite

%global valkyrie %{name}-%{version}

Group:		Development/Debuggers
License:	GPLv2
URL:		http://www.valgrind.org/
Source0:	http://www.valgrind.org/downloads/%{valkyrie}.tar.bz2
Source1:	%{name}.desktop
Patch1:		%{name}-docdir.patch
Patch2:		%{name}-usleep.patch
Patch3:		%{name}-getuid.patch
Patch4:		%{name}-getpid.patch
BuildRoot:	%{_tmppath}/%{valkyrie}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	qt4-devel >= 4.2
Requires:	valgrind >= 3.6.0

%description
Valkyrie is a graphical user interface to the Valgrind suite
of tools for debugging and profiling programs.  It makes use
of the XML output capabilities offered by Valgrind.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -d %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{_builddir}/%{valkyrie}/icons/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
cp -p %{_builddir}/%{valkyrie}/COPYING %{buildroot}%{_docdir}/%{valkyrie}
cp -p %{_builddir}/%{valkyrie}/INSTALL %{buildroot}%{_docdir}/%{valkyrie}
cp -p %{_builddir}/%{valkyrie}/README  %{buildroot}%{_docdir}/%{valkyrie}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_docdir}/%{valkyrie}

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar  4 2013 Nathan Scott <nathans@redhat.com> 2.0.0-7
- Remove use of --parent option to %%doc expansion, no longer works.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct  8 2012 Nathan Scott <nathans@redhat.com> 2.0.0-5
- Resolve remaining fedora-review issues (bz 862160)
- Use doc instead of install-sh of {README,LICENSE,INSTALL}
- Rework expansion of docs in general to fit in with this
- Use global instead of define

* Sat Oct  6 2012 Nathan Scott <nathans@redhat.com> 2.0.0-4
- Add getpid patch to resolve build issue reported by Sebastian Dyroff (bz 862160)

* Fri Oct  5 2012 Nathan Scott <nathans@redhat.com> 2.0.0-3
- Add getuid patch to resolve build issue reported by Sebastian Dyroff (bz 862160)

* Thu Oct  4 2012 Nathan Scott <nathans@redhat.com> 2.0.0-2
- Add usleep patch to resolve build issue reported by Sebastian Dyroff (bz 862160)

* Tue Oct  2 2012 Nathan Scott <nathans@redhat.com> 2.0.0-1
- Initial build
